Page MenuHomePhabricator

EnableFlow broken (shows blank page) on MediaWiki.org
Closed, ResolvedPublic

Description

James tried on several pages, and got a completely blank response, with no exception code.

Event Timeline

Mattflaschen-WMF updated the task description. (Show Details)
Mattflaschen-WMF raised the priority of this task from to Unbreak Now!.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJun 24 2015, 5:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
2015-06-24 16:15:02 mw1040 mediawikiwiki fatal INFO: [3bdcd1fb] /wiki/Special:EnableFlow   ErrorException from line 87 of /srv/mediawiki/php-1.26wmf11/extensions/Flow/includes/Import/Wikitext/ConversionStrategy.php: PHP Error: Argument 4 passed to Flow\Import\Wikitext\ConversionStrategy::__construct() must be an instance of array, string given
#0 /srv/mediawiki/php-1.26wmf11/extensions/Flow/includes/Import/Wikitext/ConversionStrategy.php(87): MWExceptionHandler::handleError()
#1 /srv/mediawiki/php-1.26wmf11/extensions/Flow/includes/Specials/SpecialEnableFlow.php(106): Flow\Import\Wikitext\ConversionStrategy->__construct()
#2 /srv/mediawiki/php-1.26wmf11/includes/htmlform/HTMLForm.php(578): Flow\Specials\SpecialEnableFlow->onSubmit()
#3 /srv/mediawiki/php-1.26wmf11/includes/htmlform/HTMLForm.php(501): HTMLForm->trySubmit()
#4 /srv/mediawiki/php-1.26wmf11/includes/htmlform/HTMLForm.php(516): HTMLForm->tryAuthorizedSubmit()
#5 /srv/mediawiki/php-1.26wmf11/includes/specialpage/FormSpecialPage.php(150): HTMLForm->show()
#6 /srv/mediawiki/php-1.26wmf11/includes/specialpage/SpecialPage.php(384): FormSpecialPage->execute()
#7 /srv/mediawiki/php-1.26wmf11/includes/specialpage/SpecialPageFactory.php(581): SpecialPage->run()
#8 /srv/mediawiki/php-1.26wmf11/includes/MediaWiki.php(249): SpecialPageFactory::executePath()
#9 /srv/mediawiki/php-1.26wmf11/includes/MediaWiki.php(668): MediaWiki->performRequest()
#10 /srv/mediawiki/php-1.26wmf11/includes/MediaWiki.php(465): MediaWiki->main()
#11 /srv/mediawiki/php-1.26wmf11/index.php(41): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include()
#13 {main} {"private":false}

Change 220507 had a related patch set uploaded (by Legoktm):
Pass missing argument to EnableFlowWikitextConversionStrategy

https://gerrit.wikimedia.org/r/220507

Any volunteer to manual test this until we have good automated tests? :)

Legoktm claimed this task.Jun 24 2015, 5:43 PM

Change 220507 merged by jenkins-bot:
Pass missing argument to EnableFlowWikitextConversionStrategy

https://gerrit.wikimedia.org/r/220507

Change 220514 had a related patch set uploaded (by Legoktm):
Pass missing argument to EnableFlowWikitextConversionStrategy

https://gerrit.wikimedia.org/r/220514

Change 220514 merged by Legoktm:
Pass missing argument to EnableFlowWikitextConversionStrategy

https://gerrit.wikimedia.org/r/220514

Yeah, I'll test this on Mondays as well (I'm also doing no-JS).

Legoktm closed this task as Resolved.Jun 24 2015, 6:03 PM

Backported and deployed.

Catrope reopened this task as Open.Jun 25 2015, 5:36 PM
Catrope closed this task as Resolved.Jun 25 2015, 8:24 PM
Catrope added a subscriber: Catrope.